<template>
  <div class="time-line__element">
    <TimeLineElementImage :priority="3" :altText="profile.fullName" :image-url="profile.imgUrl"/>
    <TimeLineElementDescription :title="profile.fullName" :text="profile.description" 
        :links="profile.links"/>
  </div>
</template>

<script>
import TimeLineElementDescription from "./TimeLineElementDescription.vue";
import TimeLineElementImage from "./TimeLineElementImage.vue";
export default {
  name: "Profile",
  props: {
    profile: Object
  },
  components: {
    TimeLineElementImage,
    TimeLineElementDescription
  }
};
</script>



<style scoped lang="scss">
@import "~/assets/scss/_variables.scss";
@import "~/assets/scss/_mixins.scss";
</style>
